--2021.01.26 v1.00
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.std_logic_unsigned.all;

entity counter is
    Port ( clk : in STD_LOGIC;
           rst : in STD_LOGIC;
           led : out STD_LOGIC_VECTOR (7 downto 0));
end counter;

architecture Behavioral of counter is
  signal count : std_logic_vector(31 downto 0);
begin
  process(clk,rst) begin
    --if rst='1' then     --Basys3
    if rst='0' then   --DE10-lite
      count <= X"00000000";
    elsif clk'event and clk='1' then
      count <= count + X"00000001";
    end if;
  end process;
  led <=  count(31 downto 24);
end Behavioral;
