library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
entity test_counter_7seg is
end test_counter_7seg;
architecture Behavioral of test_counter_7seg is
component counter_7seg is
  Port ( clk : in STD_LOGIC;
         rst : in STD_LOGIC;
         sw0 : in STD_LOGIC;
         sw1 : in STD_LOGIC;
         led : out STD_LOGIC_VECTOR (7 downto 0);
		 --data_7seg_s0 :out  STD_LOGIC_VECTOR (6 downto 0); --DE10-Lite
		 --data_7seg_s1 :out  STD_LOGIC_VECTOR (6 downto 0); --DE10-Lite
		 --data_7seg_s2 :out  STD_LOGIC_VECTOR (6 downto 0); --DE10-Lite
		 --data_7seg_s3 :out  STD_LOGIC_VECTOR (6 downto 0) --DE10-Lite
		 keta :out  STD_LOGIC_VECTOR (3 downto 0); --Basys3
		 data_7seg_d :out  STD_LOGIC_VECTOR (6 downto 0) --Basys3
		 ); --Basys3
  end component;
  
  signal clk : STD_LOGIC;
  signal tb_rst : STD_LOGIC;
  signal rst : STD_LOGIC;
  signal tb_sw0 : STD_LOGIC;
  signal sw0 : STD_LOGIC;
  signal sw1 : STD_LOGIC;
  signal led : STD_LOGIC_VECTOR (7 downto 0);
  --signal data_7seg_s0 : STD_LOGIC_VECTOR (6 downto 0); --DE10-lite
  --signal data_7seg_s1 : STD_LOGIC_VECTOR (6 downto 0); --DE10-lite
  --signal data_7seg_s2 : STD_LOGIC_VECTOR (6 downto 0); --DE10-lite
  --signal data_7seg_s3 : STD_LOGIC_VECTOR (6 downto 0); --DE10-lite
  signal keta : STD_LOGIC_VECTOR (3 downto 0); --Basys3
  signal data_7seg_d : STD_LOGIC_VECTOR (6 downto 0); --Basys3

begin

  dut : counter_7seg port map ( --eXgΏۂ̃CX^X
    clk=>clk,
    rst=>rst,
    sw0=>sw0,
    sw1=>sw1,
    led=>led,
    --data_7seg_s0 => data_7seg_s0, --DE10-lite
    --data_7seg_s1 => data_7seg_s1, --DE10-lite
    --data_7seg_s2 => data_7seg_s2, --DE10-lite
    --data_7seg_s3 => data_7seg_s3  --DE10-lite
    keta => keta, --Basys3
    data_7seg_d => data_7seg_d --Basys3
    );
    
  rst <= tb_rst; --Basys3
  --rst <= not tb_rst; --DE10-lite 
  sw0 <= tb_sw0; --Basys3
  --sw0 <= not tb_sw0; --DE10-lite 
 
  process begin --NbN̐
     clk <='0';
     wait for 5ns;
     clk <='1';
     wait for 5ns;
  end process; 
    
  process begin --ZbgM
    tb_rst <='1';
	sw1 <= '1';
	tb_sw0 <= '0';
    wait for 10ns;
    tb_rst <='0';
    wait for 30000000ns;
	tb_sw0 <= '0';
    wait for 30000000ns;
	tb_sw0 <= '1';
    wait for 40000000ns;
	tb_sw0 <= '0';
    wait for 30000000ns;
	sw1 <= '0';
    wait for 30000000ns;
	tb_sw0 <= '0';
    wait for 30000000ns;
	tb_sw0 <= '1';
    wait for 50000000ns;
	tb_sw0 <= '0';
    wait for 30000000ns;
    wait;  --V~[V~
  end process;
 
end Behavioral;
