--2021.01.26 v1.00
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity counter_sw is
    Port ( clk : in STD_LOGIC;
           rst : in STD_LOGIC;
           sw0  : in STD_LOGIC; --JEgpXCb`
           sw1  : in STD_LOGIC; --upEdown̎w
           led : out STD_LOGIC_VECTOR (7 downto 0));
end counter_sw;

architecture Behavioral of counter_sw is
  component sw_if is
    Port ( clk : in STD_LOGIC;
           reset : in STD_LOGIC;
           sw0_in : in STD_LOGIC;
           sw1_in : in STD_LOGIC;
           sw0_out : out STD_LOGIC;
           sw1_out : out STD_LOGIC);
  end component;
  signal reset :STD_LOGIC ; --ɐC̃Zbg    
  signal sw0_in :STD_LOGIC; --ɐCsw0   
  signal sw0_value  :STD_LOGIC; --`^Osw0     
  signal sw0_d1,sw0_d2 :STD_LOGIC;
  signal sw0_raise  :STD_LOGIC; ---sw0_valuẽGbWo  
  signal up_down  :STD_LOGIC; --`^Osw0   
  signal count : std_logic_vector(7 downto 0);--JEgl
begin
reset <= rst; --Basys3
--reset <= not rst; ---DE10-lite
sw0_in <= sw0; --Basys3
--sw0_in <= not sw0; ---DE10-lite
u0 : sw_if port map(
  clk => clk,
  reset => reset,
  sw0_in => sw0_in,
  sw1_in => sw1,
  sw0_out => sw0_value,
  sw1_out => up_down);
--オGbWo
process(clk) begin
  if clk'event and clk='1' then
    sw0_d1 <= sw0_value;
    sw0_d2 <= sw0_d1;
  end if;
end process;
sw0_raise <= '1' when((sw0_d1='1')and(sw0_d2='0')) else '0'; 
--JEg 
process(clk,reset) begin
  if reset='1' then   
    count <= "00000000";
  else
    if clk'event and clk='1' then
      if (sw0_raise='1') then --JEgs
        if(up_down='1') then
          count <= count + "00000001"; --CNg
        else
          count <= count - "00000001"; --fBNg
        end if;
      else
         count <= count; 
      end if;
    end if;
  end if;
end process;       
--LED֐ڑ                 
led <=  count;
  
end Behavioral;
