`timescale 1ns / 1ps
//2021.01.26 v1.00
module counter_7seg(
    input clk,
    input rst,
    input sw0, //JEgpXCb`
    input sw1, //upEdown̎w
    output [7:0] led,
   // output [6:0] data_7seg_s0, //DE10-Lite
   // output [6:0] data_7seg_s1, //DE10-Lite
   // output [6:0] data_7seg_s2, //DE10-Lite
   // output [6:0] data_7seg_s3  //DE10-Lite
    output [3:0] keta, //Basys3
    output [6:0] data_7seg_d //Basys3
    );
wire reset;  //ɐC̃Zbg    
wire sw0_in; //ɐCsw0    
wire sw0_value; //`^Osw0     
reg sw0_d1,sw0_d2;
wire sw0_raise; //sw0_valuẽGbWo    
wire up_down;   //`^Osw0    
reg [15:0]count; //JEgl
assign reset = rst; //Basys3
//assign reset = ~rst; //DE10-Lite
assign sw0_in = sw0; //Basys3
//assign sw0_in = ~sw0; //DE10-Lite
//^Xe[u΍A`^O
sw_if u0(
  .clk(clk),
  .reset(reset),
  .sw0_in(sw0_in),
  .sw1_in(sw1),
  .sw0_out(sw0_value),
  .sw1_out(up_down));
//オGbWo
always@(posedge clk)begin
  sw0_d1 <= sw0_value;
  sw0_d2 <= sw0_d1;
end   
assign sw0_raise = ((sw0_d1==1'b1)&&(sw0_d2==1'b0))?1'b1:1'b0;
//JEg
always@(posedge clk)
  if(reset==1'b1) 
    count <= 16'd0;
  else
    if(sw0_raise==1'b1) //JEgs
      if(up_down==1'b1) //CNg
        count <= count + 16'd1;
      else          //fBNg
        count <= count - 16'd1;
    else
      count <= count; //hold        
//LED֐ڑ               
assign led = count[7:0];    
//X^eBbN_ 
s7seg_ctrl u1(
  .count(count),
  .data0_7seg(data_7seg_s0),
  .data1_7seg(data_7seg_s1),
  .data2_7seg(data_7seg_s2),
  .data3_7seg(data_7seg_s3)); 
//_Ci~bN_  
d7seg_ctrl u2(
  .clk(clk),
  .reset(reset),
  .count(count),
  .keta(keta),
  .data_7seg(data_7seg_d));  
endmodule
