`timescale 1ns / 1ps
//2021.01.26 v1.00
module test_counter_sw;
  reg clk;
  reg tb_rst;
  wire rst;
  reg  tb_sw0;
  wire sw0;
  reg sw1;
  wire [7:0] led;
  
  
  counter_sw dut(
  .clk(clk),
  .rst(rst),
  .sw0(sw0),
  .sw1(sw1),
  .led(led));
  
assign rst = tb_rst; //Basys3
//assign rst = ~tb_rst; //DE10-lite  
assign sw0 = tb_sw0; //Basys3
//assign sw0 = ~tb_sw0; //DE10-lite
  initial begin
    repeat(100000000) begin
      clk = 0;
      #5;
      clk =1;
      #5;
    end 
  end
  
  initial begin
    tb_rst = 1;
    sw1 = 1;
    tb_sw0 = 0;
    #10;
    tb_rst =0;
    #30000000;
    tb_sw0 = 0;
    #30000000;
    tb_sw0 = 1;
    #40000000;
    tb_sw0 = 0;
    #30000000;    
    sw1 = 0;
    #30000000;
    tb_sw0 = 0;
    #30000000;
    tb_sw0 = 1;
    #50000000;
    tb_sw0 = 0;
    #30000000;   
    $stop;
  end  

endmodule
