`timescale 1ns / 1ps
//2021.01.26 v1.00
module test_counter_7seg;
  reg clk;
  reg tb_rst;
  wire rst;
  reg tb_sw0;
  wire sw0;
  reg sw1;
  wire [7:0] led;
   // wire [6:0] data_7seg_s0; //DE10-Lite
   // wire [6:0] data_7seg_s1; //DE10-Lite
   // wire [6:0] data_7seg_s2; //DE10-Lite
   // wire [6:0] data_7seg_s3; //DE10-Lite
    wire [3:0] keta; //Basys3
    wire [6:0] data_7seg_d; //Basys3
  
  
  counter_7seg dut(
  .clk(clk),
  .rst(rst),
  .sw0(sw0),
  .sw1(sw1),
  .led(led),
  //.data_7seg_s0(data_7seg_s0),//DE10-lite
  //.data_7seg_s1(data_7seg_s1),//DE10-lite
  //.data_7seg_s2(data_7seg_s2),//DE10-lite
  //.data_7seg_s3(data_7seg_s3) //DE10-lite
  .keta(keta), //Basys3
  .data_7seg_d( data_7seg_d) //Basys3
  );
  
assign rst = tb_rst; //Basys3
//assign rst = ~tb_rst; //DE10-lite
assign sw0 = tb_sw0; //Basys3
//assign sw0 = ~tb_sw0; //DE10-lite
  initial begin
    repeat(100000000) begin
      clk = 0;
      #5;
      clk =1;
      #5;
    end 
  end
  
  initial begin
    tb_rst = 1;
    sw1 = 1;
    tb_sw0 = 0;
    #10;
    tb_rst =0;
    #30000000;
    tb_sw0 = 0;
    #30000000;
    tb_sw0 = 1;
    #40000000;
    tb_sw0 = 0;
    #30000000;    
    sw1 = 0;
    #30000000;
    tb_sw0 = 0;
    #30000000;
    tb_sw0 = 1;
    #50000000;
    tb_sw0 = 0;
    #30000000;   
    $stop;
  end  

endmodule